export { default as Editor } from "./components/Editor";
export { default as StandardBundle } from "./projections/standard-bundle";
import { simpleParse, setIn } from "./lib/utils";
import prettifier from "./lib/vendored/prettifier";
export declare const utils: {
    simpleParse: typeof simpleParse;
    setIn: typeof setIn;
    maybeTrim: (x: string) => string;
    prettifier: typeof prettifier;
};
export { type Projection, type ProjectionProps } from "./lib/projections";
