/// <reference types="react" />
import { EditorView, TooltipView } from "@codemirror/view";
import { StateField } from "@codemirror/state";
import { MenuEvent } from "../modify-json";
import { MenuRow } from "../compute-menu-contents";
import { SelectionRoute, PopoverMenuState } from "./PopoverState";
export declare function RenderRow(props: {
    row: MenuRow;
    selectedRouting: false | SelectionRoute;
    idx: number;
    setSelectedRouting: false | ((newRoute: SelectionRoute) => void);
    eventDispatch: (menuEvent: MenuEvent, shouldCloseMenu?: boolean) => void;
}): JSX.Element;
export default function createTooltip(stateField: StateField<PopoverMenuState>): (view: EditorView) => TooltipView;
