import { MenuRow } from "./compute-menu-contents";
import { SyntaxNode } from "@lezer/common";
export declare function filterContents(searchTerm: string, rows: MenuRow[]): MenuRow[];
/**
 * This function potentially filters the content depending on some heuristics
 * @param targetNode
 * @param fullCode
 * @param contents
 * @returns MenuRow[]
 */
export declare function potentiallyFilterContentForGesture(targetNode: SyntaxNode, fullCode: string, contents: MenuRow[]): MenuRow[];
